Download it now!
Bug 82067 - FILEOPEN: RTF - Images not in correct position
Summary: FILEOPEN: RTF - Images not in correct position
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.3.2
Keywords: filter:rtf, regression
Depends on:
Blocks: RTF-New-Import RTF-Images
  Show dependency treegraph
 
Reported: 2014-08-02 23:33 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-23 22:08 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Screenshot showing rendering under LOv3572. (55.95 KB, image/png)
2014-08-23 12:37 UTC, Owen Genat (retired)
Details
Screenshot showing rendering under LOv4162 (same as LOv4262). (151.19 KB, image/png)
2014-08-23 12:37 UTC, Owen Genat (retired)
Details
Screenshot showing rendering under LOv4400 2014-08-18 deb x86_64. (176.78 KB, image/png)
2014-08-23 12:41 UTC, Owen Genat (retired)
Details
how it looks on 4.3.2 on Windows (358.40 KB, image/png)
2014-08-23 18:55 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-02 23:33:06 UTC
Steps:
1) Open attachment 103815 [details] in Word 2013 and convert to RTF, else open < https://drive.google.com/file/d/0B6qJrVIa0SAlbHNZaDRsYlVpQkU/edit?usp=sharing >
2) On page 1, you will see an image of a lady at a computer which is supposed to start at the top of the page and not the top of the margin, as can be seen in attachment 103877 [details]

Tested on 3.5.7, 4.2.5, and 4.3.1. This is a regression as it opened correctly in 3.3.0 (old rtf importer).
Comment 1 Owen Genat (retired) 2014-08-23 12:37:16 UTC
Created attachment 105147 [details]
Screenshot showing rendering under LOv3572.
Comment 2 Owen Genat (retired) 2014-08-23 12:37:59 UTC
Created attachment 105148 [details]
Screenshot showing rendering under LOv4162 (same as LOv4262).
Comment 3 Owen Genat (retired) 2014-08-23 12:41:29 UTC
Created attachment 105149 [details]
Screenshot showing rendering under LOv4400 2014-08-18 deb x86_64.

(In reply to comment #0)
> 2) On page 1, you will see an image of a lady at a computer which is
> supposed to start at the top of the page and not the top of the margin, as
> can be seen in attachment 103877 [details]

Under GNU/Linux using: 

- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
- v4.2.5.2 Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5

... I see the same mis-positioning. While using:

- v4.4.0.0.alpha0+ Build ID: e379401618268ed7f7f5885a36b90e1f4f6cd4af TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-08-18_05:51:03

... the positioning has improved.
Comment 4 Owen Genat (retired) 2014-08-23 12:43:03 UTC
As per comment 1, comment 2, and comment 3, confirmed. Status set to NEW.
Comment 5 Yousuf Philips (jay) (retired) 2014-08-23 18:55:08 UTC
Created attachment 105172 [details]
how it looks on 4.3.2 on Windows

I can confirm that the positioning is fine in 4.4 master, but unfortunately its not on 4.3.2.

Version: 4.3.2.0.0+
Build ID: 02bcf0d5abff100289d01c29eee2ed0685eb64ca
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-08-23_08:23:00
Comment 6 Miklos Vajna 2014-09-04 12:12:06 UTC
Yes, I fixed this in dc0149869bc0cc09e92816ae6f34831bf5353e3b (RTF import: handle negative SHPLEFT / SHPTOP, 2014-08-16) when on doing an independent feature. Will backport.
Comment 7 Miklos Vajna 2014-09-04 15:42:31 UTC
libreoffice-4-3 backport: https://gerrit.libreoffice.org/11283
Comment 8 Commit Notification 2014-09-05 15:36:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec8c747b457c2b1161b875474d2ba4e15819a3c7&h=libreoffice-4-3

fdo#82067 RTF import: handle negative SHPLEFT / SHPTOP


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 12:49:35 UTC Comment hidden (obsolete)